<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| BFS for PHP-Fusion V7.02.xx
| Version: 1.0
| Author: Sören Müller (pattyland)
| Web: pattyland.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

//Options
define("FULL_WIDTH", false);



/***************************************************/

require_once "functions.php";
require_once INCLUDES."theme_functions_include.php";

// Required constant
define("THEME_BULLET", "");

/* Future?
foreach ($fusion_images as $key => $fusion_image) {
    set_image($key, $key);

}*/


function get_head_tags(){
	echo '<meta name="viewport" content="width=device-width, initial-scale=1.0">'."\n";
	echo '<meta name="apple-mobile-web-app-capable" content="yes" />'."\n";
	/*echo '<link href="//yui.yahooapis.com/3.11.0/build/cssreset/cssreset-min.css" rel="stylesheet">'."\n";
	echo '<link href="//netdna.bootstrapcdn.com/bootstrap/3.0.0/css/bootstrap.min.css" rel="stylesheet" id="bootstrap">'."\n";
	echo '<link href="//netdna.bootstrapcdn.com/font-awesome/3.2.1/css/font-awesome.min.css" rel="stylesheet">';*/
	echo '<link href="'.THEME.'styles.css" rel="stylesheet">'."\n";
	if (FULL_WIDTH) { echo '<style type="text/css">.container { max-width: none !important; }</style>'."\n"; }
}

function render_page($license = false) {
	
	add_handler("fix_theme_output");
	global $settings, $main_style, $locale, $colour_switcher, $mysql_queries_time;
	
	echo '<div class="container">';

	//Header
	/*echo "<div class='page-header'>";
	echo "<h1>".."</h1>";
	echo "</div>";*/
	
	//Navigation
	echo '<nav class="navbar navbar-default navbar-fixed-top" role="navigation">';
	echo '<div class="container">';
	echo '<div class="navbar-header">
    		<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
				<span class="sr-only">Toggle navigation</span>
				<span class="icon-bar"></span>
				<span class="icon-bar"></span>
				<span class="icon-bar"></span>
			</button>
			<a class="navbar-brand" href="'.$settings["siteurl"].'">'.$settings["sitename"].'</a>
		</div>';
  	echo "<div class='collapse navbar-collapse navbar-ex1-collapse'>";
	echo showsublinks("");
	//echo "<p class='navbar-text pull-right'><span class='glyphicon glyphicon-calendar'></span> ".showsubdate()."</p>";
	if (!isset($_GET["stext"])) { $_GET["stext"] = ''; }
	echo '<form class="navbar-form navbar-right" method="get" action="/search.php" >
      <div class="form-group">
        <input type="text" class="form-control search" placeholder="Search" name="stext" value="'.$_GET["stext"].'"/>
      </div>
    </form>';
	echo '</div>';
	echo '</div>';
	echo '</nav>';
	
	//echo $colour_switcher->makeForm("flright");
	
	//Content
	echo "<div class='$main_style content row'>";
	echo "<div class='col-md-7'>".U_CENTER.CONTENT.L_CENTER."</div>";
	if (LEFT) { echo "<div class='col-md-3'>".LEFT."</div>"; }
	if (RIGHT) { echo "<div class='col-md-2'>".RIGHT."</div>"; }
	echo "</div>";
	
	
	
	//Footer
	echo "<div class='footer row'><div class='container'>";
	echo "<div class='col-md-6'>";
	echo showrendertime().showcounter()."<p>Built by <a href='http://pattyland.de/' target='_blank' >pattyland</a> with <a href='http://getbootstrap.com/' target='_blank'>Bootstrap</a> &amp; <a href='http://fontawesome.io/' target='_blank'>Font Awesome</a></p>\n";
	if (!$license) { echo "\n<p>".showcopyright()."</p>"; }
	echo "</div>\n";
	
	echo "<div class='col-md-6'><div class='pull-right'>";
	echo stripslashes($settings['footer']);
	echo "</div></div></div>\n";	
	echo '</div><!-- .footer -->';
	
	
	
	echo '</div><!-- .container -->';
	
	echo '<script src="'.THEME.'fix.js" type="text/javascript"></script>'."\n";
	echo '<script src="//netdna.bootstrapcdn.com/bootstrap/3.0.0/js/bootstrap.min.js" type="text/javascript"></script>';

}

/* New in v7.02 - render comments */
function render_comments($c_data, $c_info){
	global $locale, $settings;
	opentable($locale['c100']);
	if (!empty($c_data)){
		echo "<ul class='comments media-list'>\n";
			$c_makepagenav = '';
			if ($c_info['c_makepagenav'] !== FALSE) { 
			echo $c_makepagenav = "<div style='text-align:center;margin-bottom:5px;'>".$c_info['c_makepagenav']."</div>\n"; 
		}
			foreach($c_data as $data) {
	        $comm_count = "<a href='".FUSION_REQUEST."#c".$data['comment_id']."' id='c".$data['comment_id']."' name='c".$data['comment_id']."'>#".$data['i']."</a>";
			echo "<li class='media'>\n";
			if ($settings['comments_avatar'] == "1") { echo "<a class='pull-left'>".$data['user_avatar']."</a>\n"; }
			echo '<div class="media-body">';
	        echo "<span class='pull-right'>".$comm_count."\n</span>\n";
			echo "<span>".$data['comment_name']."</span>\n<br />\n";
			echo "<span class='small'>".$data['comment_datestamp']."</span>\n";
			echo $data['comment_message']."</div>";
			if ($data['edit_dell'] !== false) { echo "<br />\n<span class='pull-right'>".$data['edit_dell']."\n</span>\n"; }
			echo "</li>\n";
		}
		echo $c_makepagenav;
		if ($c_info['admin_link'] !== FALSE) {
			echo "<div style='float:right' class='comment_admin'>".$c_info['admin_link']."</div>\n";
		}
		echo "</ul>\n";
	} else {
		echo $locale['c101']."\n";
	}
	closetable();   
}

function render_news($subject, $news, $info) {

	render_object($subject, $news, $info, "news");
	
}

function render_article($subject, $article, $info) {
	
	render_object($subject, $article, $info, "article");
	
}


function opentable($title) {

	echo '<div class="panel panel-default">';
	echo '<div class="panel-heading">';
	echo '<h3 class="panel-title">'.$title.'</h3>';
	echo '</div>';
	echo '<div class="panel-body">';

}

function closetable() {

	echo "</div></div>";

}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	
	echo '<div class="panel panel-default">';
	echo '<div class="panel-heading">';
	echo '<h3 class="panel-title">'.$title.'</h3>';
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<div>".panelbutton($state, $boxname)."</div>";
	}
	echo '</div>';
	echo '<div class="panel-body">';	
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside() {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</div></div>";

}



?>